Get a post
import requests
url = "https://app.oneperfectslice.ai/api/public/v1/posts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oneperfectslice.ai/api/public/v1/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.oneperfectslice.ai/api/public/v1/posts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"fileId": 123,
"callTypeId": 123,
"callTypeName": "<string>",
"title": "<string>",
"published": true,
"result": {},
"postCreatedAt": "2023-11-07T05:31:56Z",
"fileCreatedAt": "2023-11-07T05:31:56Z",
"user": {
"id": 123,
"email": "<string>",
"fullName": "<string>"
},
"team": {
"id": 123,
"name": "<string>"
},
"postId": 123,
"callOwnerName": "<string>",
"callOwnerEmail": "<string>",
"companyDomain": "<string>",
"externalUrl": "<string>",
"aiGeneratedTitle": "<string>"
}
}Posts
Get a post
Returns the full detail for a single post, including the structured result payload, call metadata, owner, and team information.
GET
/
api
/
public
/
v1
/
posts
/
{id}
Get a post
import requests
url = "https://app.oneperfectslice.ai/api/public/v1/posts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oneperfectslice.ai/api/public/v1/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.oneperfectslice.ai/api/public/v1/posts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"fileId": 123,
"callTypeId": 123,
"callTypeName": "<string>",
"title": "<string>",
"published": true,
"result": {},
"postCreatedAt": "2023-11-07T05:31:56Z",
"fileCreatedAt": "2023-11-07T05:31:56Z",
"user": {
"id": 123,
"email": "<string>",
"fullName": "<string>"
},
"team": {
"id": 123,
"name": "<string>"
},
"postId": 123,
"callOwnerName": "<string>",
"callOwnerEmail": "<string>",
"companyDomain": "<string>",
"externalUrl": "<string>",
"aiGeneratedTitle": "<string>"
}
}Use
fileId (not postId) to link summaries and scorecards for the same call — a single call can produce both a summary post and a scorecard post.⌘I